BLFS libxcb-1.4 configure error cmd terminated

stosss stosss at gmail.com
Mon Feb 15 00:09:47 PST 2010


 Beyond Linux® From Scratch - Version svn-20100203
Chapter 8. General Libraries

libxcb-1.4

checking for xsltproc... no
configure: error: XCB requires xsltproc.

The command terminated right after that appeared on the screen.

I did not see anything in the documentation up to this point about xsltproc.

installed

Required

libXau-1.0.5, libXdmcp-1.0.3, libpthread-stubs-0.1, libxslt-1.1.26,
and xcb-proto-1.5

I started this series of package builds from:

 Beyond Linux® From Scratch - Version svn-20100203
Part VI. X + Window Managers

and worked my way through the dependencies installing all of the
required and some of the optional. I even looked ahead checking to see
what might become required some where else before decided to build or
not the optional.

I had no problems with any of the packages in the x window system
section until this one. I have been following the book and only doing
what was in the book and nothing else.

My environment for the x windows system builds is set up like this:

export XORG_PREFIX="/usr"

export XORG_CONFIG="--prefix=$XORG_PREFIX --sysconfdir=/etc \
    --mandir=$XORG_PREFIX/share/man --localstatedir=/var"

Placed the above in /etc/profile so they would be available to root
and the unprivileged user.

/sources/xc
/sources/xc/proto
/sources/xc/util
/sources/xc/libxcb-1.4



More information about the blfs-support mailing list